{% extends "siswa/userbase.html.twig" %}

{% block body %}

    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Detail Tagihan
        {% endblock %}

    {% endembed %}

    <section class="mt-3 container-fluid">

        <div class="d-flex justify-content-between align-items-center mb-2">
            {#            <p class="mb-0">#{{ payment.getPaymentReference() }}</p>#}
            {#            <a class="d-block t-primary font-weight-bold">Lihat</a>#}
        </div>

        <div class="d-flex justify-content-between align-items-center">
            <p class="text-black-50 f08 mb-0 font-weight-bold">Tanggal Pembayaran</p>
            <p class="text-dark font-weight-bold f10">{{ expiration }}</p>
        </div>

        <div class="d-flex justify-content-between align-items-center">
            <p class="text-black-50 f08 mb-0 font-weight-bold">Status</p>
            {% set status = '' %}
            {% if invoice.getIsPaid() == 1 %}
                {% set status = 'Lunas' %}
            {% else %}
                {% set status = 'Belum Lunas' %}
            {% endif %}
            <p class="text-dark font-weight-bold f10">{{ status }}</p>
        </div>

        <hr>

        <p class="f12 font-weight-bold text-left mt-3">Daftar Transaksi</p>

        {% for cart in invoice.getCart() %}
            <div style="border-radius: 10px; box-shadow: 0 2px 10px var(--shadowColor1); margin-bottom: 1em">
                <div style="border-bottom: 1px solid #ddd; padding: 1em">
                    <div class="d-flex justify-content-between align-items-start">
                        <p class="text-dark f10 ">No. Transaksi : #{{ cart.getReferenceId() }}</p>
                        <i class="mdi mdi-more-vert fa12"></i>
                    </div>
                    <div class="header-profile mb-0">
                        <div class="gambar-div-sm">
                            <img src="{{ cart.getSubscription().getTentorSubject().getUser().getTentorProfile().getGeneratedAvatar() != null ? cart.getSubscription().getTentorSubject().getUser().getTentorProfile().getGeneratedAvatar() : asset('images/no-image.png') }}">
                        </div>
                        <div class="content">
                            <p class="title">{{ cart.getSubscription().getTentorSubject().getUser().getTentorProfile().getFullName() }}</p>
                            <p class="subtitle mb-0">{{ cart.getSubscription().getTentorSubject().getCategory().getName() }} - {{ cart.getSubscription().getTentorSubject().getLevel().getName() }}</p>
                        </div>
                    </div>
                </div>
                <div style="padding: 1em">
                    <div class="d-flex justify-content-between">
                        <div>
                            <p class="text-black-50 f08 mb-0 font-weight-bold">Total Pembayaran</p>
                        </div>
                        <p class="t-accent font-weight-bold f10 mb-0">Rp. {{ (cart.getTotal() - cart.getDiscount())|number_format(0, ',', '.') }}</p>
                    </div>
                </div>
            </div>
        {% endfor %}
    </section>

    <section class="container-fluid">
        <p class="title-section text-left w-100 pl-0">
            Detail Pembayaran
        </p>

        <div class="d-flex justify-content-between">
            <p class="text-black-50">Metode pembayaran</p>
            <p class="text-black-50">{{ invoice.getBank().getBank().getName() }}</p>
        </div>

        <div class="d-flex justify-content-between">
            <p class="text-black-50">Total Pesanan ({{ invoice.getCart()|length }} Pesanan)</p>
            <p class="text-black-50">Rp {{ summary|number_format(0, ',', '.') }}</p>
        </div>
        <div class="d-flex justify-content-between">
            <p class="text-black-50">Diskon</p>
            <p class="text-black-50">(Rp 0)</p>
        </div>

        <hr style="border-bottom: 2px solid black">

        <div class="d-flex justify-content-between">
            <p class="text-dark font-weight-bold">Total Pembayaran</p>
            <p class="t-primary font-weight-bold">Rp {{ summary |number_format(0, ',', '.') }}</p>
        </div>
    </section>

    <div class="space-25h"></div>
{% endblock %}

{% block JSMore %}
{% endblock %}